package ru.sicamp.sicamphelper.db.entity

import org.jetbrains.exposed.dao.LongEntity
import org.jetbrains.exposed.dao.LongEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import ru.sicamp.sicamphelper.db.table.GroupRegistrations

class GroupRegistration(id: EntityID<Long>): LongEntity(id) {
    companion object : LongEntityClass<GroupRegistration>(GroupRegistrations)

    var schedule by Schedule referencedOn GroupRegistrations.schedule
    var group by Group referencedOn GroupRegistrations.group
}