package ru.sicamp.sicamphelper.db.entity

import org.jetbrains.exposed.dao.LongEntity
import org.jetbrains.exposed.dao.LongEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import ru.sicamp.sicamphelper.db.table.UserRegistrations

class UserRegistration(id: EntityID<Long>): LongEntity(id) {
    companion object : LongEntityClass<UserRegistration>(UserRegistrations)

    var schedule by Schedule referencedOn UserRegistrations.schedule
    var user by User referencedOn UserRegistrations.user
}