package ru.sicamp.sicamphelper.db.table

import org.jetbrains.exposed.dao.id.LongIdTable

object Accommodations : LongIdTable(Tables.ACCOMMODATIONS.name) {
    val user = reference("user", Users).uniqueIndex("users_index")
    val placeNumber = integer("place_number")
    val room = reference("room", Rooms)
}