package ru.sicamp.sicamphelper.db.table

import org.jetbrains.exposed.sql.Table

enum class Tables(val tableName: String, val table: Table) {
    ACCOMMODATIONS("accommodations", Accommodations),
    ASSIGNMENTS("assignments", Assignments),
    CONFIGS("configs", Configs),
    EVENTS("events", Events),
    GATE_LOGINS("gate_logins", GateLogins),
    GROUP_REGISTRATIONS("group_registrations", GroupRegistrations),
    GROUPS("groups", Groups),
    ROOMS("rooms", Rooms),
    SCHEDULES("schedules", Schedules),
    USER_REGISTRATIONS("user_registrations", UserRegistrations),
    USERS("users", Users),
    WARNINGS("warnings", Warnings);

    companion object {
        fun tableByName(name: String): Tables? = values().find { it.tableName == name }
    }
}