package ru.sicamp.sicamphelper.model.dto

import ru.sicamp.sicamphelper.db.table.Events
import java.time.Duration
import java.time.LocalDate
import java.time.LocalTime

data class EventDto(
    val name: String,
    val registrationType: Events.RegistrationType,
    val group: Long?,
    val eventDate: LocalDate?,
    val eventTime: LocalTime,
    val repeat: Duration?,
    val assigneeCount: Int?,
    val status: Events.Status,
    val description: String,
    val responsible: Long,
    val defaultRoom: Long?,
)
