package ru.sicamp.sicamphelper.api.command

import ru.sicamp.sicamphelper.db.table.Users

enum class Commands(
    val commandName: String,
    val description: String,
    val minimalRole: Users.Role,
) {
    INFO("info", "Получить информацию по пользователю", Users.Role.STUDENT),
    SCHEDULE("schedule", "Просмотреть расписание", Users.Role.STUDENT),
    SCHEDULE_GROUP("schedule_group", "Просмотреть расписание группы", Users.Role.STUDENT)
    ;

    companion object {
        const val PREFIX_URL = "command"
        const val SCHEDULE_URL = "schedule"
    }
}